#
# spec file for package linuxrc (Version 2.0.46)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-glib diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo hwinfo-devel info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libusb libxcrypt libxml2 libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-XML-Parser perl-XML-Writer permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysfsutils sysvinit tar tcpd texinfo timezone udev unzip util-linux vim wireless-tools zlib zlib-devel

Name:           linuxrc
BuildRequires:  hwinfo-devel
License:        GPL
Group:          System/Boot
Autoreqprov:    on
Summary:        SUSE Installation Program
Version:        2.0.46
Release:        0.2
Source:         linuxrc-2.0.46.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SUSE installation program.



Authors:
--------
    Hubert Mantel <mantel@suse.de>

%debug_package
%prep
%setup

%build
  make

%install
  install -d -m 755 %{buildroot}/usr/{s,}bin
  make install DESTDIR=%{buildroot}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/sbin/linuxrc
/usr/bin/mkpsfu
/usr/share/linuxrc
%doc README
%doc README.linuxrc
%doc linuxrc.html

%changelog -n linuxrc
* Tue Jun 20 2006 - uli@suse.de
- s390: make CTC mode dialog wider (bug #186563)
* Fri Jun 09 2006 - snwint@suse.de
- fixed device name matching for hard disk install (#177055)
- read /proc/cmdline with fread() instead of fgets() (i.e. do not
  stop at LF, bug #176095)
* Wed May 31 2006 - uli@suse.de
- strip - and _ from both given parameters and parameter keywords;
  otherwise parameters with these characters won't match their
  keywords (bug #165458)
* Tue May 23 2006 - uli@suse.de
- s390: add layer2 parameter to set layer2 option (bug #168492)
* Thu May 18 2006 - snwint@suse.de
- increase klog buffer so we don't miss important kernel messages (#172971)
- s390: add layer2 option for qdio/eth interfaces
* Thu May 11 2006 - snwint@suse.de
- allow block devs without partition table as harddisk install
  source (#158529)
* Thu May 11 2006 - snwint@suse.de
- fix zfcp_host_configure call (bug #whatever)
* Mon May 08 2006 - snwint@suse.de
- don't use broadcast flag for dhcp; make dhcpcd options
  configurable (#166222)
* Mon May 08 2006 - snwint@suse.de
- evaluate 'insmod' option earlier, so modules are loaded before
  hardware detection starts (#164213)
- keep udevd running (#171872)
* Thu Apr 27 2006 - snwint@suse.de
- wait for usb-stor-scan to finish (#168983)
* Tue Apr 25 2006 - uli@suse.de
- s390: fixed zfcp_disk_configure parameters (bug #162954)
* Fri Apr 21 2006 - snwint@suse.de
- don't do any %%G stuff if not utf8 (#165564)
* Wed Apr 12 2006 - snwint@suse.de
- fixed cramfs handling on big-endian machines (#164659)
* Mon Apr 10 2006 - uli@suse.de
- s390: use mod_modprobe() instead of mod_insmod() to load zfcp
  module (bug #162954)
* Fri Apr 07 2006 - snwint@suse.de
- translations updated
* Wed Apr 05 2006 - snwint@suse.de
- fixed driverupdate loading
* Fri Mar 24 2006 - snwint@suse.de
- introduce media.1/installfiles (to handle SPs)
* Thu Mar 23 2006 - snwint@suse.de
- allow ISO images as install source (#159565)
- downloaded files were not unlinked after use
* Tue Mar 21 2006 - snwint@suse.de
- 'driverupdate' files were not always allowed (#153667)
- accept cpio archive when loading images
- removed some ancient loop-mount code
* Mon Mar 20 2006 - snwint@suse.de
- fix 'loading' message in linemode
- fix rescue loading message
* Mon Mar 20 2006 - snwint@suse.de
- accept console=uart,... option (#152221)
- don't kill shell on console 9
- 'listen' mode improved
* Tue Mar 14 2006 - snwint@suse.de
- kill zombies (#150208)
* Fri Mar 10 2006 - snwint@suse.de
- 'request for CD1' message texts are read from CD (#64750)
* Tue Mar 07 2006 - uli@suse.de
- now possible to enter +++ as an escape sequence instead of
  pressing ^[ in dia_input*() (bug #144245)
* Mon Mar 06 2006 - snwint@suse.de
- translations updated
* Tue Feb 28 2006 - uli@suse.de
- s390: bring up FCP adapter when booted from SCSI (bug #153336)
* Mon Feb 20 2006 - snwint@suse.de
- Belgian keymap added (#117185)
- get rescue /dev dir right
* Thu Feb 16 2006 - snwint@suse.de
- fix free()-bug (#150012)
- s390: avoid buffer overrun on systems with many devices (bug #148043)
* Tue Feb 14 2006 - snwint@suse.de
- read Pointopoint (config.net.ptphost) from config file and
  command line
- another attempt to get rescue system right (#149949)
* Tue Feb 07 2006 - snwint@suse.de
- start getty on serial console in rescue system (#145357)
* Mon Feb 06 2006 - snwint@suse.de
- startshell, again (#144886)
- removed modules disk references, adjusted texts (#146540)
- don't run splash if kernel splash is not active (#145598)
- s390: made sure net IF setup code is also called in
  autoinstall mode (bug #146290)
- s390: fixed two buglets while testing the above
- s390: do not ask for hostname
- SLP accepts key to limit selection
* Mon Jan 30 2006 - snwint@suse.de
- added dia_input2_chopspace() (removes leading and trailing
  whitespace)
- use dia_input2_chopspace() for s390 device parameters
  (bug #144255)
- implemented ethtool option (#145041)
* Thu Jan 26 2006 - snwint@suse.de
- separate deprecated s390 devices visually (bug #144243)
- handle startshell in linuxrc (#145619)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 - snwint@suse.de
- another linemode fix (#144886)
* Mon Jan 23 2006 - snwint@suse.de
- search for driver updates in initrd (feat #152)
- make net IF error handling a bit more verbose
- s390: qeth_mod is now qeth
- no probing progress indicator for s390*
- no utf8, no language & keyboard dialogs in linemode
* Fri Jan 20 2006 - snwint@suse.de
- hare: s390 hotplug fix
* Mon Jan 16 2006 - snwint@suse.de
- make sure /sbin/hotplug gets events
- pass iscsi option to yast (feature #85)
- translations updated
* Wed Jan 11 2006 - snwint@suse.de
- fix dns-resolve bug (#139546)
* Wed Jan 11 2006 - snwint@suse.de
- fixed linemode menu handling
* Mon Dec 19 2005 - snwint@suse.de
- support sub-headings in lists and dialogs
- allow udevd to manage /dev tree
- removed internal modprobe
* Fri Dec 09 2005 - snwint@suse.de
- support rescue system as cramfs
* Fri Dec 09 2005 - snwint@suse.de
- remove compiled-in dhcpcd
- write resolv.conf even if dhcp is used
- code cleanup: removed some ancient things and uclibc & dietlibc support
* Wed Dec 07 2005 - snwint@suse.de
- portmap gone
- autoloading modules now resolves dependencies
* Fri Dec 02 2005 - snwint@suse.de
- -Taiwan
- use bash, not linuxrc shell
- removed complied-in kbd tools
* Tue Nov 29 2005 - snwint@suse.de
- remove /usr/lib/YaST2/bin from PATH (#131766)
- copy license.zip (feat #110081)
* Wed Nov 16 2005 - dmueller@suse.de
- remove uClibc from nfb
* Fri Oct 28 2005 - snwint@suse.de
- new stuff
- fix floppy detection in module loading dialog (#55566, #64391)
- ensure there's no servicepack.tar.gz in network installs (#117099)
- add new s390 net parameters
- can ensure driver updates are applied
* Tue Sep 13 2005 - snwint@suse.de
- load all pcmcia drivers (#104517)
* Mon Sep 12 2005 - snwint@suse.de
- don't activate wide-char languages on normal linux console (#116289)
* Mon Sep 05 2005 - snwint@suse.de
- fix segfault when doing hd install & network setup (#114938)
- don't try network install if cd install fails (#84171)
* Thu Sep 01 2005 - snwint@suse.de
- free initramfs data
* Mon Aug 29 2005 - snwint@suse.de
- run pcmcia startup
- add config option for NFS via TCP (#76717)
- new translations
* Wed Aug 24 2005 - snwint@suse.de
- better vfat detection
- tag auto-detected modules in module loading dialog
- set keymap in auto mode (#105690)
* Mon Aug 22 2005 - snwint@suse.de
- use Dansk keymap (#105690)
- translations updated
- fix pcmcia support (#103740, #104517)
* Mon Aug 22 2005 - snwint@suse.de
- ignore padding when checking media
* Mon Aug 15 2005 - snwint@suse.de
- new translations
* Thu Aug 11 2005 - snwint@suse.de
- full bootsplash support (#104009)
- 'start installed system': rootfs accidentally unmounted (#102697)
* Fri Aug 05 2005 - snwint@suse.de
- don't use root path dhcp reply for anything (#98937)
* Fri Jul 29 2005 - snwint@suse.de
- updated texts
- add check to ensure inst-sys matches initrd
* Mon Jul 25 2005 - snwint@suse.de
- show kbd layout dialog for rescue system only when needed
* Wed Jul 13 2005 - snwint@suse.de
- temporary workaround for mount problem
* Thu Jul 07 2005 - snwint@suse.de
- better 'loading' progress display
* Wed Jul 06 2005 - snwint@suse.de
- drop obsolete config-dist.sh
* Tue Jul 05 2005 - snwint@suse.de
- dbus-1 & hal needed to link against libhd
* Tue Jun 14 2005 - ro@suse.de
- added sysfsutils to nfb
* Fri May 27 2005 - snwint@suse.de
- export INSTSYS to all shells (#85617)
* Mon May 23 2005 - snwint@suse.de
- s390: restructured net IF config as suggested by Ihnken Menssen
- added armv4l support to Makefile
- keep initrd modules for rescue system
- don't use ramdisks
* Wed Apr 06 2005 - uli@suse.de
- s390: SCRIPTUP_* entries in hwcfg-* files must be lower-case
  after the underscore
* Tue Apr 05 2005 - uli@suse.de
- s390: only IUCV hwcfg files must be named hwcfg-static-
* Fri Apr 01 2005 - snwint@suse.de
- s390: hwcfg- files renamed to hwcfg-static-
* Tue Mar 22 2005 - snwint@suse.de
- pass ide-core module options (#72454)
* Thu Mar 17 2005 - snwint@suse.de
- load storage modules before asking for update disk (#73530)
* Wed Mar 16 2005 - snwint@suse.de
- load acpi modules if necessary (#72146)
- no error if asian fonts are missing (#72992)
- translations updated
- font updated
* Mon Mar 14 2005 - snwint@suse.de
- s390: fix segfault in net_list_s390_devs()
- extra root image was sometimes not used
- allow netdevices to be specified by hwaddress
* Fri Mar 04 2005 - snwint@suse.de
- allow ssh=1 as an alias for usessh=1 (#66793)
- pass unknown languages to yast
- copy into new tmpfs even if we use initramfs
- support additional inst-sys (via rootimage2 option)
- load extra root image depending on language
- fixed bug in inst-sys linking code
* Tue Feb 22 2005 - snwint@suse.de
- accept "domain;" in smb url
* Mon Feb 21 2005 - snwint@suse.de
- prepare for initramfs
* Thu Feb 17 2005 - snwint@suse.de
- use cifs instead of smb (#38423)
- build dynamically linked linuxrc
* Thu Feb 17 2005 - snwint@suse.de
- smb mount accepts share + directory (#26059)
* Mon Feb 14 2005 - snwint@suse.de
- really always write Locale (#37679)
- fix url handling (#35907, #50618)
- write port number to install.inf
* Tue Feb 08 2005 - snwint@suse.de
- don't show unnecessary network config popup during autoinstall (#47690)
- add config option to make it possible to turn off automatic module
  disk requests (#47909, #46809)
- added 'newid' option to add new driver ids to pci modules (#36084, #49128)
- netwait=N option fixed
- close tftp connection
- some zenworks stuff
- zen: urls specfify relative paths
- support ukrainian
* Mon Feb 07 2005 - snwint@suse.de
- pcmcia fixes
* Mon Jan 24 2005 - snwint@suse.de
- linuxrc should *not* ask for dhcp after netsetup=dhcp
- new hungarian texts
- fix bug in scsi device renaming code (#49391)
* Fri Oct 01 2004 - snwint@suse.de
- italian translations
* Wed Sep 29 2004 - snwint@suse.de
- minor driver update dialog fix
- s390: enhanced IUCV parameter description (bug #42789)
* Tue Sep 28 2004 - snwint@suse.de
- basic chinese support
- added some hebrew chars to linuxrc font
* Mon Sep 27 2004 - snwint@suse.de
- enhanced driver update dialog
- french translations updated
* Mon Sep 20 2004 - snwint@suse.de
- added 'netwait=N' option: wait N seconds after network setup (#44218)
- s390: several minor netdev setup fixes
* Mon Sep 13 2004 - snwint@suse.de
- fixed font creation
* Fri Sep 10 2004 - snwint@suse.de
- wrote small console font (*.psfu) manipulation program (mkpsfu)
- added special linuxrc console fonts
- updated translations
- s390: fixed CCW address sanity check
* Mon Sep 06 2004 - snwint@suse.de
- updated translations
- s390: made dialogs autoinstall-compliant, added input checks/hints
* Thu Sep 02 2004 - snwint@suse.de
- made more messages translatable
* Wed Sep 01 2004 - snwint@suse.de
- wide char output works
* Mon Aug 30 2004 - snwint@suse.de
- fixed remaining loadkeys issues
* Fri Aug 27 2004 - snwint@suse.de
- s390: ask for hostname, enable portmapper, cleanups
- added 'start shell' menu entry
- s390: LCS configuration, cut-and-paste cleanup, minor fixes
- new kbd tools
* Mon Aug 23 2004 - snwint@suse.de
- added installation display selection (X11/VNC/SSH)
- initial support for S/390 network device setup (IUCV, CTC, QDIO)
- added md5sum check option
* Mon Aug 16 2004 - snwint@suse.de
- some font adjustments
* Wed Aug 11 2004 - snwint@suse.de
- set font earlier
* Fri Aug 06 2004 - snwint@suse.de
- deal with multi gateway dhcp response (#25413)
- utf8 support
* Mon Jul 05 2004 - snwint@suse.de
- joined changes up to 1.6.37 from 9.1 branch
- removed obsolete files
* Thu May 13 2004 - snwint@suse.de
- VNC password check refined
* Mon May 10 2004 - snwint@suse.de
- linuxrc missed some storage controllers, leading to unexpected
  module loading order (#40018)
- updated translations
- added VNC password length check (#30434)
- replaced disk/cdrom info screen (#39092)
* Sat May 08 2004 - snwint@suse.de
- fixed compiling on s390
- added memory size test (#38826)
- added japanese language entry (#40124)
* Thu May 06 2004 - snwint@suse.de
- run modprobe, not insmod if possible (#39946)
* Wed May 05 2004 - snwint@suse.de
- fixed name server setup for static ip config (#38750)
- fixed module loading with parameters (didn't work at all)
- added killall command, needed for:
- kill all dhcp clients (#38617)
- fixed network interface activation; linuxrc used to miss interfaces
  if one module activates several interfaces
- removed code that tried a network install on i386 if
  CD installation failed
* Wed Apr 28 2004 - snwint@suse.de
- improved slp support
* Mon Apr 26 2004 - snwint@suse.de
- add root=halt feature to yast.inf (tell linuxrc to halt the machine)
- always report keyboard to yast (#38922, #39235)
- rewrote serial console handling (#23322)
- reopen & init console when we return from yast (#39316)
- query & set terminal size
* Tue Apr 20 2004 - snwint@suse.de
- linuxrc should not have a controlling terminal (#37177)
* Wed Apr 07 2004 - snwint@suse.de
- use HWAddr (not NetHWAddr) in install.inf
* Wed Apr 07 2004 - snwint@suse.de
- slp fix
* Tue Apr 06 2004 - snwint@suse.de
- fixed driver update (didn't load modules)
- set language a bit earlier (#37467)
* Mon Apr 05 2004 - snwint@suse.de
- scsi rename code enabled
* Sat Apr 03 2004 - snwint@suse.de
- updated code that ensures usb/firewire devices are always
  the last scsi devices (#36187)
- always load all storage modules (necessary so that scsi/usb renaming
  takes effect)
- scsi rename code disabled (#38222)
* Fri Apr 02 2004 - snwint@suse.de
- SuSE -> SUSE
- noshell: not even a shell on console 9 (#37524)
- set language before slp dialog (#37467)
* Wed Mar 31 2004 - snwint@suse.de
- fixed cardmgr module loading
- fixed modprobe
* Mon Mar 29 2004 - snwint@suse.de
- no pci info (#37245)
- japanese keyboard (#31417)
- cardmgr: run modprobe without '>&2' (#36661)
- run setctsid before inst_setup
* Tue Mar 23 2004 - snwint@suse.de
- don't try to rmmod usb-storage & sbp2 (#35582)
* Mon Mar 22 2004 - snwint@suse.de
- provide machine and release filter in slp request
* Mon Mar 15 2004 - snwint@suse.de
- write 'NoPCMCIA' & 'NetHWAddr' entries
* Tue Mar 09 2004 - snwint@suse.de
- mount /dev/pts
- support SLP
* Mon Mar 01 2004 - snwint@suse.de
- write syslog host entry to install.inf (#21436)
* Mon Feb 23 2004 - snwint@suse.de
- copy control.xml (#34825)
* Tue Feb 17 2004 - snwint@suse.de
- don't build linuxrc_tiny
* Mon Feb 16 2004 - snwint@suse.de
- build if NETWORK_CONFIG undefd
- handle '-' vs. '_' in module names
- added rootpassword option
* Thu Feb 12 2004 - snwint@suse.de
- added netsetup option
- use linemode on iSeries (#12333)
* Mon Feb 09 2004 - uli@suse.de
- don't care about /oldroot when creating /lbin links
* Mon Feb 09 2004 - uli@suse.de
- link libsysfs
- enable SWISS_ARMY_KNIFE on s390*
* Tue Feb 03 2004 - snwint@suse.de
- mount sysfs
- modules really work
- rmmod is back
* Fri Jan 30 2004 - snwint@suse.de
- LiveEval changes
- fixed bug causing linuxrc to do some unexpected things
- hardlinks on driver update medium could cause segfault
- no longer includes insmod et all
- links instsys tree itself (used to be done in inst_setup)
- removed /bin <-> /.bin renaming, linuxrc tools are kept in /lbin
- works with 2.6 modules
* Fri Sep 19 2003 - snwint@suse.de
- 'insmod -f' for driver updates
- keep 'console' boot option for grub config
* Thu Sep 18 2003 - snwint@suse.de
- use hostip & netmask if they are already known
  in vnc & ssh setup (#30927)
* Wed Sep 17 2003 - snwint@suse.de
- look for driver updates on floppy
- fixed typo in serial console code (#31183)
* Mon Sep 15 2003 - snwint@suse.de
- leave pcmcia devices to card manager
- slovak translation fix
* Mon Sep 15 2003 - snwint@suse.de
- updated slovak translations
* Sun Sep 14 2003 - snwint@suse.de
- write 'Console' entry to install.inf again (#29569, #30451)
- make line drawing chars work on serial console
- use *last* console arg for linuxrc (#18592)
- tty and tty%%d are known not to be serial lines (#18592)
- 'loglevel' parameter can be used to change kernel log level (#18592)
- add translations for driver update menu entry (#30395)
- write unique id of network card, not interface (#25739)
* Tue Sep 09 2003 - snwint@suse.de
- use time() *and* CLientHwAddr for xid calculation in dhcpcd (#29334)
* Sat Sep 06 2003 - snwint@suse.de
- advance splash progress bar
- added bosnian translation
- load fs module for hard disk installation (#29996)
* Fri Sep 05 2003 - snwint@suse.de
- back to en as default (#29594)
- load cardbus drivers (#29543)
- remove more items from cmdline (#30164)
* Mon Aug 25 2003 - snwint@suse.de
- allow more net devices in selection list (#28659)
* Wed Aug 20 2003 - ro@suse.de
- reduce number of warnings: include stdlib.h for exit
- rename "int log" to "int err_log" in insmod stuff
- use tmpfs instead of shmfs (will be deprecated soon)
* Mon Aug 11 2003 - snwint@suse.de
- support modprobe libhd entries
* Fri Aug 01 2003 - snwint@suse.de
- make 'boot installed system' work again
- shut down correct network interface (#27839, #28261)
* Wed Jul 16 2003 - snwint@suse.de
- use static resolv lib
* Tue Jul 15 2003 - snwint@suse.de
- create /dev tree
* Mon Jul 14 2003 - snwint@suse.de
- better control over option parsing
- rewrote driver update handling (#27792)
- put cmdline args into /etc/install.inf (#25745)
- updated FAT fs detection (#27814)
- cleaned up manual mode & option parsing
* Wed Jun 11 2003 - ro@suse.de
- fix compilation with uclibc
* Thu May 15 2003 - snwint@suse.de
- 8.2 live eval changes
- added 'idescsi' parameter: use ide-scsi module for cdr/cdrw drives
  (needed for live eval)
- fix sorting of languages and keyboards
- fixed dev_t mess with loop mounts
- copy 'part.info' file from install medium
- make hd installs work properly (#26906)
* Tue Mar 11 2003 - snwint@suse.de
- module unloading used to clear internal network/disk lists (#24606)
- keep proxy scheme (#23611)
* Fri Mar 07 2003 - snwint@suse.de
- don't log to console (#24753)
* Mon Mar 03 2003 - snwint@suse.de
- updated slovak & czech translations
- fixed some gcc warnings
- don't check for gateway config (#22430)
- added chroot command
- write alias lines for all net interfaces (#22444)
- updated cardmgr (#23839)
- support kernel-pcmcia
- fixed linuxrc modprobe
- allow ip_addr/network_bits notation in hostip
* Tue Feb 18 2003 - snwint@suse.de
- added new usb storage device handling code
* Wed Nov 13 2002 - ro@suse.de
- fix for current bison (end all rules with ";")
* Wed Nov 06 2002 - snwint@suse.de
- joined with 8.1 branch:
- enable samba support
- restructed VNC/SSH ask for password handling so we do not ask
  for netconfig and later do unconditional DHCP (#19721)
- copy 'content' file from install medium (#19904)
- set memory limit defaults _before_ reading them
  from config files (#19960)
- get info.txt (#18504)
- don't ask for netdevices if one was explictly given (#20625)
- skip LS120 detection on ppc (#12514)
- specify driver update dir explicitly (#19442)
- info.txt file was not copied for cd/nfs installs (#21064)
- mount of SAMBA-device as guest does not work (#20152)
- linuxrc should perfom a poweroff on s390 instead a reboot (#20894)
- allow to set hostname (#21099)
- sparc64 needs different inst-sys
* Mon Sep 16 2002 - snwint@suse.de
- check for inst-sys was still wrong (#19658)
- always load usb-storage, otherwise usb cdroms might
  be missed in some cases (#19004)
- fixed usbwait option handling (had no effect when given
  on command line)
- added moduledelay option: timeout in seconds after insmod
- serial console fix (superfluous '/dev', #19635)
* Wed Sep 11 2002 - snwint@suse.de
- do write server info for VNC/ssh install again
  needed for network installation (#18882)
* Tue Sep 10 2002 - snwint@suse.de
- mls: added line oriented display mode
- don't set serial console twice
* Tue Sep 10 2002 - snwint@suse.de
- ensure proper display init in vnc/usessh case (#19099)
* Mon Sep 09 2002 - snwint@suse.de
- don't write server info for VNC/ssh install (#18882)
- disks/README --> boot/README
- lower limit for yast2 (44MB --> 40MB)
* Sun Sep 08 2002 - snwint@suse.de
- make linuxrc_tiny even smaller
- added 'hostip' option ('ip' is used by kernel)
* Sat Sep 07 2002 - snwint@suse.de
- added option to force loading scsi modules before usb mods
  (in case of scsi device naming problems)
- write 'alias' entry for vnc
* Fri Sep 06 2002 - snwint@suse.de
- better usb cdrom handling (#18583, #19004)
- no pcmcia version mismatch message
* Fri Sep 06 2002 - snwint@suse.de
- fixed check for inst-sys
- fixed ieee1394 handling
* Wed Sep 04 2002 - snwint@suse.de
- show md/lvm devices
* Tue Sep 03 2002 - snwint@suse.de
- made pivot_root a config option
- autoload network modules on auto cd/hd install with vnc/ssh.
* Mon Sep 02 2002 - snwint@suse.de
- kukuk: fix for serial console on SPARC & PPC
- symlink /etc/pam.d from instsys so we can run chpasswd for ssh mode.
- ask for passwords not only on auto install with DHCP/BOOTP, but
  also with static config.
- VNC/SSH: ask for network config on CD/HD auto install mode too.
- improved driver update handling
- fixed bug in module disk section naming
- prepared for uclibc
- don't mention LILO in reboot message (#18261)
* Tue Aug 27 2002 - snwint@suse.de
- do not imply vnc=1 if vncpassword is given, dito for ssh
* Tue Aug 27 2002 - snwint@suse.de
- also ask for ssh/vnc password in auto install.
- new cd layout
- improved usb & firewire handling
* Fri Aug 23 2002 - snwint@suse.de
- accept AutoYaST XML files for config data
- delayed splash message a bit (until we got the product name)
- more config things
- allow modules not to be loaded
- moved ssh/vnc password box so that it triggers even on predhcp
  configured network settings.
  Also activate the GUI if it is not yet activated.
* Tue Aug 20 2002 - snwint@suse.de
- turn off (most) automatic hardware detection via 'hwdetect=0'
- no longer require CD label to start with 'SU'
- made more things configurable
- cleaned up serial line detection code
* Mon Aug 19 2002 - snwint@suse.de
- copy shadow and passwd from inst-sys before calling chpasswd
* Fri Aug 16 2002 - snwint@suse.de
- fixed for ppc & sparc
* Fri Aug 16 2002 - snwint@suse.de
- use get_txt(id) in the 2 password messageboxes, not just id.
- restart linuxrc automatically after a segfault
- don't start memcheck() thread
- adapted to recent libhd changes
* Thu Aug 08 2002 - snwint@suse.de
- add an SSH mode. relayout SSH and VNC mode to be similar.
- make it possible to enable/disable VNC in expert mode
- implemented 'NoShell' option
* Tue Aug 06 2002 - snwint@suse.de
- adapted to libhd interface changes
* Mon Aug 05 2002 - snwint@suse.de
- schwab: fix ia64 unwind section processing
- improved vnc handling
- build insmod correctly on ppc64
- added 'NetConfig' option to install.inf
* Thu Jul 18 2002 - snwint@suse.de
- work properly on systems that have /lib64
- you can use an arbitrary install program now
- added 'setupnetif' parameter (specifies if linuxrc should setup
  network interfaces itself)
* Mon Jul 15 2002 - snwint@suse.de
- fixed cramfs detection (byte order issue)
* Thu Jul 11 2002 - snwint@suse.de
- lowered mem limit for loading of inst-sys into ramdisk to 200MB (#16976)
- dropped byte order workaround for setting realrootdev
* Tue Jul 09 2002 - sf@suse.de
- corrected segfault in util.c on x86_64
* Fri Jul 05 2002 - snwint@suse.de
- don't use dietlibc for now
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Wed Jun 26 2002 - snwint@suse.de
- merge (mainly ftp) changes from 8.0 branch:
- raised min free memory limit to 12MB
- fixed proxy code
- added 'ProxyProto' entry to install.inf
- ask for http proxy
- ftp proxy is proxy via http per default
- link .S.u.S.E* file to /var/adm/mount for ftp/http/tftp install
- let 'NetDevice' option cooperate with auto install
* Mon May 27 2002 - snwint@suse.de
- fixed Makefile for sparc
* Mon May 27 2002 - snwint@suse.de
- removed mini-glibc code
- xf86_64 fixes
- new modutils
* Thu May 23 2002 - snwint@suse.de
- let 'NetDevice' option cooperate with auto install
- fixed for dietlibc 0.17
* Wed May 15 2002 - snwint@suse.de
- fixed addswap option
- added hwcheck option
- make /suse tree from inst-sys available for ftp/http/tftp install
* Wed Apr 17 2002 - mls@suse.de
- set LX_ARCH for mips, don't build pcmcia
* Wed Apr 17 2002 - adrian@suse.de
- fix build for mips
* Wed Apr 17 2002 - snwint@suse.de
- fixed liveeval mode
- reenabled ftp install
* Fri Apr 05 2002 - snwint@suse.de
- added missing hungarian translations
* Wed Apr 03 2002 - snwint@suse.de
- fixed hungarian translation
* Tue Apr 02 2002 - snwint@suse.de
- added french translations
* Wed Mar 27 2002 - snwint@suse.de
- added translations
* Mon Mar 25 2002 - snwint@suse.de
- removed breton translations
- copy "y2update" dir from update disk, too
- started new documentation
* Sun Mar 24 2002 - snwint@suse.de
- fixed driver update disk handling
- finalized VNC support
- added missing swap dialog translations
- added 'usbwait' option to get slow usb devs working
- added 'nfs.[rw]size' options
* Thu Mar 21 2002 - snwint@suse.de
- fixed module handling when we're not using tmpfs (#13985)
- show popup if we didn't add modules from mod disk (#14185)
- don't request module disk unless it would be really useful
- don't ask for swap unless we won't be able to run yast in text mode
- made search for installation system do less unexpected things
- shut down network interface before leaving linuxrc
* Sun Mar 17 2002 - snwint@suse.de
- don't use tmpfs on systems < 32 MB
- explicitly set nr_inodes for tmpfs (we need quite a few)
- adjusted memory limits (no swap on 64MB systems)
* Sun Mar 10 2002 - snwint@suse.de
- really no error after 'abort'
* Sat Mar 09 2002 - snwint@suse.de
- new czech translations
- fixed AddSwap config option
- finalized swap dialog
- disable splash for yast2 ncurses interface
- no error message if user left yast via 'abort' button
* Sun Mar 03 2002 - snwint@suse.de
- detect more fstypes
- 'TERM' var settable via info file
- swap space can be activated via info file
- drop ftp/tftp/http net install offer (not implemented in yast)
- show only keytables that really exist
- new czech translations
- don't ask for samba disk, smb is always supported
- remove ancient memory limits
- report to yast whether we found a dvd
- look at 'modules' subdir on module disk images, too
- make 'auto' mode default
- always link against dietlibc on ia32
* Fri Mar 01 2002 - snwint@suse.de
- dhcpcd: don't depend on a second DHCPOFFER -- breaks with
  Lucent Technologies server
- added smbmnt
- fixed swap dialog
- remember nameserver info from dhcp
- mount smb shares read-only
- better module dependency handling
- added ln & hex commands
* Mon Feb 25 2002 - snwint@suse.de
- make vnc usable
- fixed some bugs in swap dialog
* Mon Feb 25 2002 - snwint@suse.de
- more config options
- 'install' parameter works now
- starting rescue system works again
- ask for swap, if needed
* Wed Feb 20 2002 - snwint@suse.de
- show list of partitions in 'boot installed system'
- set root image name properly for systems > 256MB
* Mon Feb 18 2002 - snwint@suse.de
- removed old module code
- new ramdisk handling
- lots of bugfixes
- internal rework on fs mounting
- make cramfs cooperate with ramdisk
- accessing instsys reworked
* Mon Feb 11 2002 - snwint@suse.de
- autoinstall mostly working
- 'info' file parser more flexible
- more things configurable via 'info' file
- added fstype detection
- fixed tftp
* Thu Feb 07 2002 - snwint@suse.de
- mls: tftp client code
* Mon Feb 04 2002 - snwint@suse.de
- fixed 'cd not found' bug
- don't ask for module params for certain modules
- fixed some pcmcia issues
- http mostly works
- updated docs
- added new texts
- show module disk number
* Mon Jan 28 2002 - snwint@suse.de
- internal changes to networking code
- fixed bootpc to work with dietlibc
* Mon Jan 21 2002 - snwint@suse.de
- dhcp now mostly works
- smb works
* Fri Jan 04 2002 - snwint@suse.de
- fixed writing 'Bootmode' entry
* Tue Dec 18 2001 - snwint@suse.de
- module loading more or less works again
* Fri Dec 14 2001 - snwint@suse.de
- work around broken terminals that send CR + LF
- make 'info' file parser more flexible
- rewrote color scheme, language and keytable handling
- lots of menus rewritten
- new dialog function
- module loading rewritten
- added some more simple commands: cp, ls, rm, mv, swapon, swapoff
- builds against dietlibc
* Thu Nov 22 2001 - snwint@suse.de
- added modules pdcraid and hptraid
- fixed bootp again (#11817) [revert v1.2.3, part 2 changes]
- added 8139cp.o (RealTek RTL-8139 C+)
- no keytable selection on iSeries machines
- add 'Power off' menu entry
- handle ide raid module dependencies
- nashif: added autoinstall patches
- implemented small interactive shell, runs on /dev/tty9
- russian translations updated
- reimplemented info file read function
- file write function ("install.inf") rewritten
- 'info'-like entries are looked for in /proc/cmdline, too if no
  info file was found
- reduced linuxrc's size by dropping setlocale() call in setfont
- cleanup of main()
* Thu Oct 04 2001 - kukuk@suse.de
- Remove not supported keyboards on SPARC
* Tue Oct 02 2001 - kukuk@suse.de
- For SPARC use only german and english as language
- Change label for keyboard selection, add USB to PS/2
* Mon Sep 24 2001 - snwint@suse.de
- removed spanish and italian from tiny linuxrc
- no module autoload for tms 380 token ring cards (#11244)
- support LSIFC9xx/LSI409xx Fibre Channel (#11251)
- load usb-storage module only on computers that have only
  an usb floppy (#9490)
* Sun Sep 23 2001 - ro@suse.de
- removed spanish and italian from tiny linuxrc
* Fri Sep 21 2001 - snwint@suse.de
- don't run empty commands
- /sbin/update no longer exists
* Thu Sep 20 2001 - snwint@suse.de
- make harddisk install work (#8538)
* Thu Sep 20 2001 - snwint@suse.de
- updated module list
- simple attempt to get module dependencies right
- allow md? devices as root filesystem
* Thu Sep 20 2001 - snwint@suse.de
- ask for keytable before starting rescue system
* Wed Sep 19 2001 - snwint@suse.de
- request module disk #2 for network modules (#10697)
- disable SMB menu if SMB is not supported
  (on all archs except s390, currently)
- always look for /dev/fd0, too when searching for module disk (#10829)
- module autoloading no longer stops on missing modules (#10235)
- fixed segfault due to too long translations
- it was impossible to make a CD install after choosing hard disk
  install in linuxrc (#10883)
* Tue Sep 18 2001 - snwint@suse.de
- linuxrc copies the initrd into a tmpfs at startup and uses this
  as the new root device
- it & nl translations
* Wed Sep 12 2001 - snwint@suse.de
- fixed info file reading
- fr & hu translations
* Tue Sep 11 2001 - snwint@suse.de
- SMB support
- support more than one floppy drive
- read info file even if there's no floppy
- new cs & es translations
* Tue Sep 04 2001 - snwint@suse.de
- look for yast directly in instsys
- less error messages while trying to umount
- removed nl translations from linuxrc_tiny
* Fri Aug 31 2001 - snwint@suse.de
- added 'RebootMsg'
- give installation CD some time before we umount it
* Wed Aug 22 2001 - snwint@suse.de
- fixed bug that caused missing INITRD_MODULES line
* Tue Aug 21 2001 - snwint@suse.de
- handle >1 swap partitions
- 'swap' entry in yast.inf obsolete
- back to main menu if we return from yast with an error
* Mon Aug 20 2001 - snwint@suse.de
- disable modprobe only if we don't have it
- always read yast.inf
- linuxrc can no longer start yast directly, instead
  /sbin/inst_setup is started
- set font & language according to yast.inf
- don't start syslogd (done by inst_setup now)
- mantel: added two new gigabit network drivers (NS83820 and Broadcom BCM5700)
* Mon Aug 13 2001 - snwint@suse.de
- mge: added new boot mode 'CDwithNET'
* Thu Aug 09 2001 - snwint@suse.de
- no longer crashes after yast returns
- segfault handler prints fault address
* Wed Aug 08 2001 - snwint@suse.de
- fixed 'Console' entry in install.inf for ia32 (#9647)
- allow yast2 serial installation on ppc
- start /sbin/inst_setup instead of yast if it exists
* Mon Aug 06 2001 - snwint@suse.de
- fixed for alpha
* Mon Aug 06 2001 - snwint@suse.de
- drop reboot message on sparc
- translations are now in *.po files
- handle etc/{ssh,pam.d,joerc}
* Tue Jul 31 2001 - snwint@suse.de
- removed even more languages from linuxrc_tiny
- mantel: changed text from "bootp" to "bootp/DHCP"
* Mon Jul 23 2001 - snwint@suse.de
- adapted for libhd 3.0
* Thu Jul 19 2001 - snwint@suse.de
- load isa-pnp.o and add it to INITRD_MODULES if necessary
- fixed to build on s390
- LiveEval: set language even in auto2 mode
- added linuxrc_tiny: smaller linuxrc with some things dropped
  (to be used for bootdisks)
- mantel: don't clobber hwaddress when doing bootp
* Thu Jul 12 2001 - snwint@suse.de
- run create_md5sums after patching the spec file
* Mon Jul 09 2001 - snwint@suse.de
- automatically determine the release version from the build environment
* Wed Jun 13 2001 - snwint@suse.de
- new version scheme
- disabled pivot_root, we just exit() as before
- fixed framebuffer mode detection bug (#8620)
- added function to do a simple 'ps' (for debugging, normally disabled)
- mantel: new parameter for info file: ForceRootimage
- mantel: don't ask silly questions when doing auto install from hard disk
- mantel: load rootimage into ramdisk when loop mount failes on installation via HD
- mantel: added new filesystem type xfs. Centralized list of known filesystems
- workaround for nfs mount problem
- now _really_ remove smp stuff
* Thu Jun 07 2001 - kukuk@suse.de
- Fix output of SERIAL_CONSOLE entry
- Set "Textmode" if we install over serial console
* Sat Jun 02 2001 - kukuk@suse.de
- Add SunGEM network card
* Fri May 18 2001 - snwint@suse.de
- dto
* Wed May 16 2001 - snwint@suse.de
- added translations
* Mon May 14 2001 - snwint@suse.de
- in2000 no longer auto loaded (#7829)
* Mon May 14 2001 - snwint@suse.de
- fixed stupid reiserfs typo
* Mon May 14 2001 - snwint@suse.de
- display reboot message (revert part 2 of changes for 1.1.19.006) (bug #7994)
* Sat May 12 2001 - snwint@suse.de
- do not load i2o modules if the controller is already supported by
  an alternative driver (#6335)
- /dev/ram* holds uninitialized data, not zero as it used to be
- vfat support is broken in 2.4.4, using shmfs to get our driver
  update feature working
- modules loaded via 'driver update' were not added to INITRD_MODULES
* Tue May 08 2001 - snwint@suse.de
- adjusted YaST2 memory limit
* Mon May 07 2001 - snwint@suse.de
- removed TXT_INSTALL_SUCCESS message except in (old) auto mode
- removed TXT_DO_REBOOT message (unless explictly requested via info file)
- mmj: autoinstall via hard disk
- keep boot splash
- can now automatically start rescue system
- ask for module disk/load reiserfs module if necessary
- add modules loaded via 'driver update' to INITRD_MODULES
- remove Unicodemap entry from install.inf (#7767)
- no longer remove trailing /suse from installation dir (#6716)
* Mon Apr 30 2001 - snwint@suse.de
- mantel: new translations added
- disable boot graphics
* Tue Apr 24 2001 - snwint@suse.de
- explicitly set umask to 022
- look for floppy disk and read info file _before_ asking for modules disk
* Tue Apr 24 2001 - snwint@suse.de
- mantel: do not autoload aic7xxx_old
- mantel: new translations added
- automatically recognize various floppy drive types (legacy, usb, zip, ls-120)
- 'Floppydisk' entry in /etc/install.inf now holds floppy device name
* Fri Apr 06 2001 - snwint@suse.de
- made 'Eject CD' lang dependent
* Fri Mar 23 2001 - snwint@suse.de
- debug msg around sync()
- fixed proc & usbdevfs mount() calls
- load root image on axp for >=512MB only
* Tue Mar 06 2001 - snwint@suse.de
- don't try to do too much networking without a proper net config
* Thu Mar 01 2001 - snwint@suse.de
- mantel: changed german text "Lade PCMCIA Module" to "PCMCIA-Module laden"
* Fri Feb 23 2001 - snwint@suse.de
- re-enabled mac color detection
- nice bootp message
- stepan: switched some languages off for Alpha
- _no_ -Os as it produces binaries that are larger after compression
* Wed Feb 21 2001 - snwint@suse.de
- changed language name: Norway -> Norsk
- bootp & auto2 now hopefully _really_ work together
- enlarged 'boot installed system' input field
* Wed Feb 21 2001 - snwint@suse.de
- starting a Live CD now works again
- kukuk: fix typo for norwegian keyboard, add finish type4 keyboard
- mls: allow automatic bootp requests in auto2 mode
- mls: fix network setup (5 min timeout bug again)
- fixed bootp (hw address got lost)
* Tue Feb 13 2001 - schwab@suse.de
- Remember original environment and pass it when launching init.
* Sun Jan 21 2001 - olh@suse.de
- add Apple network drivers (mace,bmac,gmac)
* Wed Jan 17 2001 - snwint@suse.de
- updated driver update stuff to use /linux/suse/...
- make it report libhd version
* Wed Jan 17 2001 - snwint@suse.de
- write keymap info for yast1 even during auto2 mode
* Tue Jan 16 2001 - snwint@suse.de
- save PCMCIA module params
- ask for mod disk before "Autoload of modules"
- removed Live CD from start menu
* Tue Jan 16 2001 - snwint@suse.de
- added vfat to inst_mount_harddisk()
- load pci-scan.o before starfire.o
- added qla2x00
* Mon Jan 15 2001 - snwint@suse.de
- ask for mod disk only once
- make scsi/net module menu working
- load parport mods for imm/ppa
* Mon Jan 15 2001 - snwint@suse.de
- adapted memory limits:
- no YaST2 unless mem >= 32M
- load root image into ramdisk if mem >= 256M
* Mon Jan 15 2001 - snwint@suse.de
- symlink /etc/init.d instead of /etc/rc.d
* Sun Jan 14 2001 - snwint@suse.de
- new driver Adaptec Starfire
- improved driver update handling
- automatically request modules disk if necessary
- ask for modules disk only on ia32 systems
* Fri Jan 12 2001 - snwint@suse.de
- syslogd moved to /sbin
- driver update finished
- PCMCIA: ask for modules disk, even during autoinstall
* Wed Jan 10 2001 - snwint@suse.de
- driver update stuff nearly finished
* Wed Jan 10 2001 - snwint@suse.de
- no reboot for PCMCIA
* Tue Jan 09 2001 - snwint@suse.de
- mantel: updated copyright message
- mantel: added 8139too.o
- msvec@suse.cz: czech message update
- fixed CD detection with multiple CDROM drives
- fixed 5 min NFS timeout bug
- fixed rootimage loading
* Wed Dec 20 2000 - snwint@suse.de
- pivot_root stuff fixed
- no longer generate X11 info entries in install.inf
- started driver update stuff; should work with floppies now
* Tue Dec 12 2000 - ro@suse.de
- added hwinfo to neededforbuild
* Mon Dec 11 2000 - snwint@suse.de
- disabled andreas' pivot_root changes
* Sun Dec 10 2000 - kukuk@suse.de
- Use small libc on SPARC, too
* Sat Dec 09 2000 - kukuk@suse.de
- Add type5 keyboard for UK
* Sat Dec 09 2000 - snwint@suse.de
- schwab: when lxrc_new_root is set, try pivot_root to change root
- libhd interface changes
* Wed Dec 06 2000 - snwint@suse.de
- fixed neededforbuild
* Mon Dec 04 2000 - ro@suse.de
- Makefile creates only one linuxrc, comment rest in specfile
* Fri Dec 01 2000 - snwint@suse.de
- removed braille detection (done later by hwinfo)
- made font settings work on fb consoles
- finally got font settings right
- cleaned up Makefile: create only one linuxrc now
- there are problems with autoinstall & gateway setup on kernel 2.2.17;
  for now, no "Gateway:" entry should be used in "info"
* Fri Nov 24 2000 - snwint@suse.de
- added ChageLog file
- integrated new kbd stuff (kbd-1.03wip)
- started to adapt console fonts to new kbd package
  (some latin2 langs don't work properly yet)
* Thu Nov 23 2000 - snwint@suse.de
- use mini glibc again
- added y2autoinst mode
* Wed Nov 22 2000 - snwint@suse.de
- new modutils (2.3.20)
- workaround for NFS_* compile problem
- use full glibc on ia32 arch
* Thu Nov 09 2000 - ro@suse.de
- make it compile
* Thu Oct 12 2000 - snwint@suse.de
- decreased memory limit for YaST1
* Fri Sep 29 2000 - sf@suse.de
- changed font and unicode-map for Alpha
* Tue Sep 26 2000 - snwint@suse.de
- no braille for ppc
- do a kill 15 before kill 9
* Tue Sep 19 2000 - snwint@suse.de
- always use XF3 on ppc to start YaST2
* Mon Sep 18 2000 - olh@suse.de
- olh: add Mac-Portugus, make english the default again (for ppc)
* Fri Sep 15 2000 - snwint@suse.de
- do some cleanup in inst_execute_yast() if 'back' in
  inst_choose_yast_version() was selected
* Thu Sep 14 2000 - snwint@suse.de
- serial console & ppc: don't use yast2
* Wed Sep 13 2000 - snwint@suse.de
- serial console for ppc
* Wed Sep 13 2000 - snwint@suse.de
- schwab: fix bootp setup for kernel 2.4
* Mon Sep 11 2000 - snwint@suse.de
- added i2o support
- changed scsi cdrom dev names: scd -> sr
- multi info files support
* Fri Aug 18 2000 - snwint@suse.de
- updated memory limits in global.h
- schwab: updated ia64 smp code
* Fri Aug 11 2000 - snwint@suse.de
- fixed minor keymap loading bug
* Fri Aug 04 2000 - kukuk@suse.de
- Add PS/2 keymaps for SPARC AXe board
- Don't load a keymap if don't ask for it and hardware detection
  couldn't find one
* Mon Jul 24 2000 - snwint@suse.de
- disable screen saver during install
* Thu Jul 20 2000 - snwint@suse.de
- added new Gigabit network driver hamachi.o
* Wed Jul 19 2000 - snwint@suse.de
- wait 10s for vaio, 2s for other notebooks [cf. last log]
* Mon Jul 17 2000 - snwint@suse.de
- wait 2s after starting cardmgr
* Mon Jul 17 2000 - snwint@suse.de
- allow setting of french lang via linuxrc=
* Fri Jul 14 2000 - snwint@suse.de
- use XF 3, not 4 if nothing is known about the video board
* Fri Jul 14 2000 - snwint@suse.de
- (try to) load basic usb support on Sony Vaio
- add irq_list= parameter to i82365 on Vaio
- the default keymap (for a language) info is now actually used
  (on pc-like architectures, that is)
- remember the selected keymap
- start syslogd
* Thu Jul 13 2000 - snwint@suse.de
- fixed x11i cmdline parsing
- changed fallback X server from vga to fbdev
* Fri Jul 07 2000 - snwint@suse.de
- olh: ppc keymap updates
* Thu Jul 06 2000 - snwint@suse.de
- pcmcia: re-probe hardware after starting cardmgr
* Tue Jul 04 2000 - snwint@suse.de
- pcmcia & insmod fix
* Thu Jun 29 2000 - mantel@suse.de
- update PCMCIA to version 3.3.17
- allow installation from RAID partitions
* Tue Jun 27 2000 - snwint@suse.de
- updated braille code
* Tue Jun 27 2000 - snwint@suse.de
- changed braille detection so we don't need a serial module in
  the initrd
* Thu Jun 22 2000 - snwint@suse.de
- added braille detection
- added XF86Ext & XF86Raw entries to install.inf: needed for XF4
- (again) load serial module (for braille displays; i386 only)
* Tue Jun 20 2000 - ro@suse.de
- fixed version number
* Mon Jun 19 2000 - ro@suse.de
-  up to 1.1.11
* Wed Jun 07 2000 - snwint@suse.de
- fixed 'loadnet' handling
- added 'loaddisk'
- added 'x11i' to specify the installation X server
- new 'XVersion' entry in install.inf (3 or 4)
* Fri Jun 02 2000 - snwint@suse.de
- added 'loadnet' linuxrc parameter (loads all network mods)
* Thu Jun 01 2000 - kasal@suse.de
- fixed lang/czech.txt
* Mon May 15 2000 - snwint@suse.de
- integrated Thorsten's changes
- added live cd changes
* Thu May 04 2000 - kukuk@suse.de
- enable autoprobe on SPARC by default
- fix bigendian and 64 bit problems with size of root image, make
  sure filehandle will be closed
- Show warning about "not found SuSE CD" only on Intel
- Add more SPARC keymaps
- If autoprobe found keymap, don't ask for it again
* Wed May 03 2000 - kukuk@suse.de
- Fix linuxrc/insmod for SPARC
* Tue May 02 2000 - kukuk@suse.de
- Load openprom module
* Sat Apr 29 2000 - kukuk@suse.de
- Include striped down version of nfs_mount.h from kernel 2.2 sources.
  We stay with NFS_MOUNT_VERSION 3, version 4 doesn't work in the
  moment.
* Thu Apr 27 2000 - snwint@suse.de
- live cd: lang & kbd menu
- link /etc/fb.mods (mainly ppc)
* Tue Apr 18 2000 - snwint@suse.de
- live cd fixes
- new 'Demo:' entry in install.inf
* Mon Apr 17 2000 - snwint@suse.de
- minor live cd fixes
* Mon Apr 17 2000 - snwint@suse.de
- fixed main menu display condition
- no reboot msg on ppc
- Thorstens sparc patches
* Wed Apr 12 2000 - kukuk@suse.de
- Add SPARC module description
* Mon Apr 10 2000 - snwint@suse.de
- implemented 'Eject CD'
- ask for CD1 only after a first try failed
- black bg on PowerBooks
* Thu Apr 06 2000 - snwint@suse.de
- ppc: made 'auto2' the default
- intel: live cd changes
* Fri Mar 31 2000 - snwint@suse.de
- special ppc keytable handling
- made English the default language
* Fri Mar 24 2000 - snwint@suse.de
- change bg color on iMacs
* Thu Mar 23 2000 - snwint@suse.de
- new insmod version
- loadkeys fixes
- no usb mods on ppc
- more Xkb* entries
* Fri Mar 17 2000 - snwint@suse.de
- added xkbmodel entry to install.inf; needed for ppc
* Tue Mar 14 2000 - snwint@suse.de
- increased mem limit for image loading to 70MB
* Mon Mar 13 2000 - snwint@suse.de
- removed pr_default
* Mon Mar 13 2000 - snwint@suse.de
- fixed german lang bug
* Thu Mar 09 2000 - snwint@suse.de
- no reboot message on auto install
* Wed Mar 08 2000 - snwint@suse.de
- new text for reboot msg
* Mon Mar 06 2000 - snwint@suse.de
- the TAB thing again...
* Mon Mar 06 2000 - snwint@suse.de
- linuxrc did'nt sometimes unmount the installation medium
* Sun Mar 05 2000 - snwint@suse.de
- network mods no longer added to initrd
* Sun Mar 05 2000 - snwint@suse.de
- some minor enhancements
* Sat Mar 04 2000 - snwint@suse.de
- some bug fixes; see CVS log
* Fri Mar 03 2000 - snwint@suse.de
- small fixes
* Thu Mar 02 2000 - snwint@suse.de
- automatic pcmcia loading
* Thu Mar 02 2000 - snwint@suse.de
- ppc fix: no pcmcia
* Wed Mar 01 2000 - snwint@suse.de
- small bug fixes
- usb reworked
- new version
* Sun Feb 27 2000 - ro@suse.de
- bump pcmcia-version-no
* Sat Feb 26 2000 - snwint@suse.de
- increased memory limit for rootimage
- usb support
* Fri Feb 25 2000 - snwint@suse.de
- more varaibles in install.inf
- PATH now contains /lib/YaST2/bin
- increased version number
* Thu Feb 17 2000 - snwint@suse.de
- split mouse type entry into xf86 & gpm
* Wed Feb 16 2000 - snwint@suse.de
- changed some install.inf entry names
* Tue Feb 15 2000 - snwint@suse.de
- removed pcmcia support for sparc completely
* Mon Feb 14 2000 - snwint@suse.de
- fixed typo on PowerPC
* Mon Feb 14 2000 - snwint@suse.de
- new pcmcia stuff
* Mon Feb 14 2000 - snwint@suse.de
- new version
* Sat Feb 05 2000 - snwint@suse.de
- now *really* compiles on ppc & sparc
- extended "linuxrc=" syntax
* Wed Feb 02 2000 - snwint@suse.de
- works with new gcc's
- compiles on ppc (smp.c fixed)
* Wed Feb 02 2000 - ro@suse.de
- no 2.7.2.3 (package deleted)
- added libhd, libhddev to neededforbuild
* Tue Feb 01 2000 - snwint@suse.de
- package created
